# pymatgen.analysis.chemenv.utils.scripts_utils module

This module contains some script utils that are used in the chemenv package.

compute_environments(chemenv_configuration)

  Compute the environments.

  Parameters

    chemenv_configuration –

  Returns

draw_cg(vis, site, neighbors, cg=None, perm=None, perfect2local_map=None, show_perfect=False, csm_info=None, symmetry_measure_type='csm_wcs_ctwcc', perfect_radius=0.1, show_distorted=True, faces_color_override=None)

  Draw cg.

  Parameters

    - vis –

    - site –

    - neighbors –

    - cg –

    - perm –

    - perfect2local_map –

    - show_perfect –

    - csm_info –

    - symmetry_measure_type –

    - perfect_radius –

    - show_distorted –

    - faces_color_override –

  Returns

thankyou()

  Show thank you message. :return:

visualize(cg, zoom=None, vis=None, myfactor=1.0, view_index=True, faces_color_override=None)

  Visualizing a coordination geometry :param cg: :param zoom: :param vis: :param myfactor: :param view_index: :param faces_color_override: :return:

welcome(chemenv_config)

  Show welcome message. :param chemenv_config: :return: